Package control

## Class Hilfefenster

- java.lang.Object
- - javafx.stage.Window
  - - javafx.stage.Stage
    - - control.Hilfefenster

- All Implemented Interfaces:
    `Hilfe`, `javafx.event.EventTarget`

      public class Hilfefenster
      extends javafx.stage.Stage
      implements Hilfe

  Die Klasse Hilfefenster stellt ein Hilfefenster für die Simulation eines Algorithmus bereit.
  Version:
    v6.7 (9.12.2020)
  Author:
    Thomas Schaller

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Hilfefenster()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(String text)` |
    `void` | `indentLess()` |
    `void` | `indentMore()` |
    `void` | `initialize()` |
    `void` | `loescheAlles()` |
    `void` | `setGraphPlotter​(GraphPlotter gp)` |
    `void` | `setReviewAllowed​(boolean a)` |
    `void` | `showState()` |

    - ### Methods inherited from class javafx.stage.Stage

      `alwaysOnTopProperty, close, fullScreenExitHintProperty, fullScreenExitKeyProperty, fullScreenProperty, getFullScreenExitHint, getFullScreenExitKeyCombination, getIcons, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getModality, getOwner, getStyle, getTitle, iconifiedProperty, initModality, initOwner, initStyle, isAlwaysOnTop, isFullScreen, isIconified, isMaximized, isResizable, maxHeightProperty, maximizedProperty, maxWidthProperty, minHeightProperty, minWidthProperty, resizableProperty, setAlwaysOnTop, setFullScreen, setFullScreenExitHint, setFullScreenExitKeyCombination, setIconified, setMaxHeight, setMaximized, setMaxWidth, setMinHeight, setMinWidth, setResizable, setScene, setTitle, show, showAndWait, titleProperty, toBack, toFront`

    - ### Methods inherited from class javafx.stage.Window

      `addEventFilter, addEventHandler, buildEventDispatchChain, centerOnScreen, eventDispatcherProperty, fireEvent, focusedProperty, forceIntegerRenderScaleProperty, getEventDispatcher, getHeight, getOnCloseRequest, getOnHidden, getOnHiding, getOnShowing, getOnShown, getOpacity, getOutputScaleX, getOutputScaleY, getProperties, getRenderScaleX, getRenderScaleY, getScene, getUserData, getWidth, getWindows, getX, getY, hasProperties, heightProperty, hide, isFocused, isForceIntegerRenderScale, isShowing, onCloseRequestProperty, onHiddenProperty, onHidingProperty, onShowingProperty, onShownProperty, opacityProperty, outputScaleXProperty, outputScaleYProperty, removeEventFilter, removeEventHandler, renderScaleXProperty, renderScaleYProperty, requestFocus, sceneProperty, setEventDispatcher, setEventHandler, setForceIntegerRenderScale, setHeight, setOnCloseRequest, setOnHidden, setOnHiding, setOnShowing, setOnShown, setOpacity, setRenderScaleX, setRenderScaleY, setUserData, setWidth, setX, setY, showingProperty, sizeToScene, widthProperty, xProperty, yProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hilfefenster

          public Hilfefenster()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### setGraphPlotter

          public void setGraphPlotter​(GraphPlotter gp)

      Specified by:
        `setGraphPlotter` in interface `Hilfe`

    - #### loescheAlles

          public void loescheAlles()

      Specified by:
        `loescheAlles` in interface `Hilfe`

    - #### append

          public void append​(String text)

      Specified by:
        `append` in interface `Hilfe`

    - #### indentMore

          public void indentMore()

      Specified by:
        `indentMore` in interface `Hilfe`

    - #### indentLess

          public void indentLess()

      Specified by:
        `indentLess` in interface `Hilfe`

    - #### setReviewAllowed

          public void setReviewAllowed​(boolean a)

      Specified by:
        `setReviewAllowed` in interface `Hilfe`

    - #### showState

          public void showState()